# -*- coding: utf-8 -*-

"""
/***************************************************************************
 Karika
                                 A QGIS plugin
 Terrain generalization
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                              -------------------
        begin                : 2018-03-05
        copyright            : (C) 2018 by Roman Geisthövel
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

__author__ = 'Roman Geisthövel'
__date__ = '2018-03-05'
__copyright__ = '(C) 2018 by Roman Geisthövel'

import sys

from qgis.core import QgsApplication

from .karika_provider import KarikaProvider
from .appinter import Common

if Common.folder() not in sys.path:
    sys.path.insert(0, Common.folder())

class KarikaPlugin:

    def __init__(self):
        self.provider = KarikaProvider()

    def initGui(self):
        QgsApplication.processingRegistry().addProvider(self.provider)

    def unload(self):
        QgsApplication.processingRegistry().removeProvider(self.provider)

